package com.xinelu.familydoctor.mapper;

import com.xinelu.familydoctor.entity.EvaluateOption;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author gaoyu
* @description 针对表【evaluate_option(自评问题选项表)】的数据库操作Mapper
* @createDate 2023-10-11 09:51:26
* @Entity com.xinelu.familydoctor.entity.EvaluateOption
*/
public interface EvaluateOptionMapper {

    List<EvaluateOption> getOptions(Long questionId);

    int insert(EvaluateOption record);

    int update(EvaluateOption record);

    /**
     * 清空问卷ID与wentiID
     * @param questionId 问题ID
     * @param surveyId 问卷ID
     * @return {@link int}
     * @author gaoyu
     * @date 2023-10-11 17:31
    */
    int clearRelationId(@Param("questionId") Long questionId, @Param("surveyId") Long surveyId);

}
